#---List of externals----------------------------------------------
# The layer request can be found in SPI-2675

# force rebuild of cuda to pick up small fixes
set(CUDA_REVISION 1)
set(HEPMC_VERSION 2)

include(heptools-106a)

LCG_external_package(ggvvamp           1.0.atlas1     ${MCGENPATH}/ggvvamp)
LCG_external_package(qqvvamp           1.1.atlas1     ${MCGENPATH}/qqvvamp)

LCG_external_package(openloops         2.1.3          ${MCGENPATH}/openloops )
LCG_external_package(nlox              1.2.2.atlas2   ${MCGENPATH}/nlox )
LCG_external_package(cln               1.3.7                                    )
LCG_external_package(ginac             1.8.7                                    )
LCG_external_package(collier           1.2.8            ${MCGENPATH}/collier)
LCG_external_package(recola            2.2.4            ${MCGENPATH}/recola         )
LCG_external_package(recola_SM         2.2.3            ${MCGENPATH}/recola_SM      )
LCG_external_package(FORM              4.3.1         ${MCGENPATH}/FORM)
LCG_external_package(vbfnlo            3.0           ${MCGENPATH}/vbfnlo hepmc=${HEPMC_VERSION})
LCG_external_package(pythia8           312.atlas2    ${MCGENPATH}/pythia8  author=312)
LCG_external_package(sherpa            2.2.16        ${MCGENPATH}/sherpa   hepmc=${HEPMC_VERSION}   author=2.2.16 hepevt=200000)
LCG_external_package(sherpa-openmpi  2.2.16.openmpi3  ${MCGENPATH}/sherpa hepmc=${HEPMC_VERSION}  author=2.2.16 hepevt=200000)
LCG_external_package(njet              2.1.1          ${MCGENPATH}/njet)
LCG_external_package(geneva            1.0-rc3.atlas2      ${MCGENPATH}/geneva author=1.0-rc3 )
LCG_external_package(superchic         5.3            ${MCGENPATH}/superchic    author=5.3 )
LCG_external_package(madgraph5amc      3.5.5.atlas11  ${MCGENPATH}/madgraph5amc author=3.5.5)
LCG_external_package(mcfm              10.3.atlas   ${MCGENPATH}/mcfm author=10.3)
LCG_external_package(lhapdf            6.5.4          ${MCGENPATH}/lhapdf)       

LCG_external_package(yoda              1.9.7         ${MCGENPATH}/yoda  )
LCG_external_package(rivet             3.1.7         ${MCGENPATH}/rivet hepmc=${HEPMC_VERSION} author=3.1.7)

LCG_external_package(kokkos            4.3.01                                   )
LCG_external_package(pepper_kokkos     1.1.1          ${MCGENPATH}/pepper_kokkos )

LCG_external_package(ROOT 6.32.06 CUDA=OFF author=6.32.06)

LCG_external_package(cppcheck          2.16.0                                   )

if(${LCG_COMP} MATCHES gcc)  
   LCG_external_package(cuda            12.4.1           full=12.4.1_550.54.15 )
   LCG_external_package(cudnn        8.9.7.29 cuda=12               )
endif()

LCG_remove_package(R)
LCG_remove_package(rpy2)
LCG_remove_package(DD4hep)
LCG_remove_package(acts)
LCG_remove_package(onnxruntime)
LCG_remove_package(tf2onnx)

set(mcgenerators chaplin apfel cln collier contur crmc evtgen geneva ginac HepMC herwig3 hijing hto4l hydjet lhapdf madgraph5amc mcfm nlox pepper_kokkos prophecy4f pyquen pythia6 pythia8 recola rivet SFGen superchic thep8i thepeg vbfnlo yoda ggvvamp qqvvamp)

set(base_top_packages ${mcgenerators} AIDA auth_get_sso_cookie autopep8 beautifulsoup4 blas Boost boto3 botocore ccache chardet clhep coin3d coverage cppcheck cppgsl CppUnit cryptography cuda cudnn cx_oracle cycler Davix dcap decorator distro doxygen eigen entrypoints expat fastjet fjcontrib flake8 flake8_bugbear flake8_builtins fmt freetype Frontier_Client future git gperftools graphviz grpc GSL gssapi gtest hdf5 heaptrack HepPDT idna igprof importlib_metadata ipython java jmespath jsonmcpp kiwisolver lcgenv libaio libffi libm_aocl libsodium libunwind libxml2 libxslt lxml lz4 matplotlib maven mccabe mypy mysql oracle oracledb pandas pcre pip png pprof prophecy4f protobuf protobuf2 psutil pycodestyle pyflakes pygraphviz PyJWT pyqt5 pyquen pytest Python PyYAML Qt5 rangev3 rapidjson RELAX requests ROOT s3transfer scipy sherpa sherpa-openmpi six sqlalchemy sqlite starlight stomppy sympy tbb tiff urllib3 valgrind vdt XercesC xrootd zeromq zipp zlib)

# Remove kokkos and pepper_kokos for gcc14 as cuda 12 doesn't support gcc14
if(${LCG_COMP}${LCG_COMPVERS} MATCHES gcc14)
   list(REMOVE_ITEM base_top_packages kokkos pepper_kokkos)
endif()

list(REMOVE_ITEM base_top_packages pepper_kokkos)

if(LCG_ARCH MATCHES "aarch64")
  list(REMOVE_ITEM base_top_packages ggvvamp qqvvamp nlox dcap protobuf2 pepper_kokkos mcfm)
endif()
if(NOT ${LCG_OS}${LCG_OSVERS} STREQUAL centos7)
   list(REMOVE_ITEM base_top_packages dcap)
endif()

message("Final set of top_packages: ${base_top_packages}")

LCG_top_packages(${base_top_packages})


