#!/bin/bash

# Run Root tests from the build directory
# run-root-tests.sh <local-prefix>  <platform>  <build-dir>

PREFIX=$1
PLATFORM=$2
BINARY_DIR=$3

# where is lcgenv?
if [ -z "$LCGENV" ]; then
  if command -v lcgenv &>/dev/null; then
     LCGENV=`command -v lcgenv`
  elif [ -x /cvmfs/sft.cern.ch/lcg/releases/lcgenv/latest/lcgenv ]; then
     LCGENV=/cvmfs/sft.cern.ch/lcg/releases/lcgenv/latest/lcgenv
  fi
fi

# how many cores?
CPUS=`grep -c ^processor /proc/cpuinfo`

# set current directory and environment
cd ${BINARY_DIR}

IGNORE="test-periodic-build|test-import-pandas|pyunittests-pyroot-dependency-versions|tutorial-dataframe-df026_AsNumpyArrays-py|tutorial-roofit-rf409_NumPyPandasToRooFit-py|tutorial-dataframe-df035_RDFFromPandas-py|tutorial-roofit-rf615_simulation_based_inference-py"

# tutorial-dataframe-df026_AsNumpyArrays-py needs pandas
# tutorial-dataframe-df035_RDFFromPandas-py needs pandas
# tutorial-roofit-rf409_NumPyPandasToRooFit-py needs pandas
# test-import-pandas needs pandas
# pyunittests-pyroot-dependency-versions needs some more python packages that are a pain to provide without re-arranging too many recipes
# tutorial-roofit-rf615_simulation_based_inference-py needs scikitlearn that is  a pain to re-arrange

ctest --version
ctest -j${CPUS} --output-on-failure -E ${IGNORE}
